#import <driverkit/IODevice.h>
#import <driverkit/IODeviceMaster.h>
#import <stdio.h>

@interface SBServer:Object
{
	/* the SBSoundMidi driver */
	IOObjectNumber  objectNumber;
	id	master;
}
- init;
- (int)getChanges; 	/* 1 if another app has changed any parameters */
- (int)setMode:(char)vol; 	/* sets gate value for NeXT sound out.
				 * 0 = no change
				 */

- (int)getAGC;		/* 1=on */
- (int)getBassL;	/* 0-15 */
- (int)getBassR;
- (int)getCDL;		/* 0-31 */
- (int)getCDR;		/* 0-31 */
- (int)getCDOutL;	/* is CD-L sent to output? 1 = yes */
- (int)getCDOutR;
- (int)getInMixLCDL;	/* is CD-L sent to input mix-L? 1 = yes */
- (int)getInMixLCDR;	/* is CD-R sent to input mix-L? 1 = yes */
- (int)getInMIxLLineL;	/* is Line-L sent to input mix-L? 1 = yes */
- (int)getInMixLLineR;
- (int)getInMixLMic;
- (int)getInMixLSynthL;
- (int)getInMixLSynthR;
- (int)getInMixRCDL;	/* is CD-L sent to input mix-R? 1 = yes */
- (int)getInMixRCDR;	/* is CD-R sent to input mix-R? 1 = yes */
- (int)getInMixRLineL;
- (int)getInMixRLineR;
- (int)getInMixRMic;
- (int)getInMixRSynthL;
- (int)getInMixRSynthR;
- (int)getInputGainL;	/* 0-3 */
- (int)getInputGainR;
- (int)getInternalL;	/* NeXT soundkit sound out, 0-31 */
- (int)getInternalR;
- (int)getLineL;	/* Line input volume, 0-31 */
- (int)getLineR;
- (int)getLineOutL;	/* is Line-L sent to output mix? */
- (int)getLineOutR;
- (int)getMasterL;	/* Master output, 0-31 */
- (int)getMasterR;
- (int)getMic;		/* mic volume, 0-31 */
- (int)getMicOut;	/* is mic sound sent to output? 1 = yes */
- (int)getOutputGainL;	/* sub-master out, 0-3 */
- (int)getOutputGainR;
- (int)getSynthL;	/* FM synth output, 0-31, not currently implemented */
- (int)getSynthR;
- (int)getTrebleL;	/* 0-15 */
- (int)getTrebleR;
- (int)setAGC:(int)val;		/* 1=on */
- (int)setBassL:(int)val;	/* 0-15 */
- (int)setBassR:(int)val;
- (int)setCDL:(int)val;		/* 0-31 */
- (int)setCDR:(int)val;
- (int)setCDOutL:(int)val;	/* 1=on (sent to output) */
- (int)setCDOutR:(int)val;
- (int)setInMixLCDL:(int)val;
- (int)setInMixLCDR:(int)val;
- (int)setInMIxLLineL:(int)val;
- (int)setInMixLLineR:(int)val;
- (int)setInMixLMic:(int)val;
- (int)setInMixLSynthL:(int)val;
- (int)setInMixLSynthR:(int)val;
- (int)setInMixRCDL:(int)val;
- (int)setInMixRCDR:(int)val;
- (int)setInMixRLineL:(int)val;
- (int)setInMixRLineR:(int)val;
- (int)setInMixRMic:(int)val;
- (int)setInMixRSynthL:(int)val;
- (int)setInMixRSynthR:(int)val;
- (int)setInputGainL:(int)val;
- (int)setInputGainR:(int)val;
- (int)setInternalL:(int)val;
- (int)setInternalR:(int)val;
- (int)setLineL:(int)val;
- (int)setLineR:(int)val;
- (int)setLineOutL:(int)val;	/* 1=on (sent to output) */
- (int)setLineOutR:(int)val;
- (int)setMasterL:(int)val;
- (int)setMasterR:(int)val;
- (int)setMic:(int)val;
- (int)setMicOut:(int)val;
- (int)setOutputGainL:(int)val;
- (int)setOutputGainR:(int)val;
- (int)setSynthL:(int)val;
- (int)setSynthR:(int)val;
- (int)setTrebleL:(int)val;
- (int)setTrebleR:(int)val;

@end
